Front Page / Sequences / Intrinsic Metafunctions / sequence_tag

# sequence_tag

### Synopsis

    template<
          typename X
        >
    struct sequence_tag
    {
        typedef unspecified type;
    };

### Description

`sequence_tag` is a tag metafunction for all tag dispatched intrinsic sequence operations.

### Header

    #include <boost/mpl/sequence_tag.hpp>

### Parameters

Parameter | Requirement | Description
--- | --- | ---
`X` | Any type | A type to obtain a sequence tag for.

### Expression semantics

For any arbitrary type `x`:

    typedef sequence_tag<x>::type tag;

Return type: | A type.
Semantics: | `tag` is an unspecified tag type for `x`.

### Complexity

Amortized constant time.

### See also

Intrinsic Metafunctions, Tag Dispatched Metafunction